<?php

namespace Drupal\closedquestion\Entity;

use Drupal\Core\Entity\EntityPublishedInterface;
use Drupal\user\EntityOwnerInterface;
use Drupal\Core\Entity\EntityChangedInterface;
use Drupal\Core\Entity\ContentEntityInterface;

/**
 * Provides an interface defining a closed question entity.
 */
interface ClosedQuestionInterface extends ContentEntityInterface, EntityChangedInterface, EntityOwnerInterface, EntityPublishedInterface {

  /**
   * Denotes that the closed question is not published.
   */
  const NOT_PUBLISHED = 0;

  /**
   * Denotes that the closed question is published.
   */
  const PUBLISHED = 1;

  /**
   * Gets the closed question creation timestamp.
   *
   * @return int
   *   Creation timestamp of the closed question.
   */
  public function getCreatedTime();

  /**
   * Sets the closed question creation timestamp.
   *
   * @param int $timestamp
   *   The closed question creation timestamp.
   *
   * @return \Drupal\closedquestion\Entity\ClosedQuestionInterface
   *   The called closed question entity.
   */
  public function setCreatedTime($timestamp);

}
