<?php

namespace Drupal\closedquestion\Entity;

use Drupal\user\EntityOwnerInterface;
use Drupal\Core\Entity\EntityChangedInterface;
use Drupal\Core\Entity\ContentEntityInterface;

/**
 * Provides an interface defining an answer log entity.
 */
interface ClosedQuestionLogInterface extends ContentEntityInterface, EntityChangedInterface, EntityOwnerInterface {

  /**
   * Gets the closed question creation timestamp.
   *
   * @return int
   *   Creation timestamp of the closed question.
   */
  public function getCreatedTime();

  /**
   * Sets the closed question creation timestamp.
   *
   * @param int $timestamp
   *   The closed question creation timestamp.
   *
   * @return \Drupal\closedquestion\Entity\ClosedQuestionLogInterface
   *   The called closed question entity.
   */
  public function setCreatedTime($timestamp);

}
