<?php

namespace Drupal\closedquestion\Form;

use Drupal\Core\Entity\Form\DeleteMultipleForm as EntityDeleteMultipleForm;
use Drupal\Core\Url;

/**
 * Provides an entity deletion confirmation form.
 *
 * @internal
 */
class ClosedQuestionAnswerDeleteMultiple extends EntityDeleteMultipleForm {

  /**
   * {@inheritdoc}
   */
  public function getCancelUrl() {
    return new Url('entity.closedquestion_answer.collection');
  }

  /**
   * {@inheritdoc}
   */
  protected function getDeletedMessage($count) {
    return $this->formatPlural($count, 'Deleted @count answer.', 'Deleted @count answers.');
  }

  /**
   * {@inheritdoc}
   */
  protected function getInaccessibleMessage($count) {
    return $this->formatPlural($count, '@count answer has not been deleted because you do not have the necessary permissions.', "@count answers have not been deleted because you do not have the necessary permissions.");
  }

}
