<?php

namespace Drupal\closedquestion\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Class ClosedQuestionConfigForm.
 *
 * @package Drupal\closedquestion\Form
 */
class ClosedQuestionConfigForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return ['closedquestion.settings'];
  }

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'closedquestion_configuration_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->config('closedquestion.settings');

    $form['anonymous_answer'] = [
      '#type' => 'checkbox',
      '#title' => $this->t('Save answers for anonymous users'),
      '#default_value' => $config->get('anonymous_answer'),
    ];

    $form['use_xml_filter'] = [
      '#type' => 'checkbox',
      '#title' => $this->t('Use the built-in XML filter to filter HTML'),
      '#default_value' => $config->get('use_xml_filter'),
    ];

    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $values = $form_state->getValues();

    $config = $this->config('closedquestion.settings');
    $config->set('anonymous_answer', $values['anonymous_answer'])->save();
    $config->set('use_xml_filter', $values['use_xml_filter'])->save();

    parent::submitForm($form, $form_state);
  }

}
