<?php

namespace Drupal\closedquestion\Form;

use Drupal\Core\Entity\Form\DeleteMultipleForm as EntityDeleteMultipleForm;
use Drupal\Core\Url;

/**
 * Provides an entity deletion confirmation form.
 *
 * @internal
 */
class ClosedQuestionDeleteMultiple extends EntityDeleteMultipleForm {

  /**
   * {@inheritdoc}
   */
  public function getCancelUrl() {
    return new Url('entity.closedquestion.collection');
  }

  /**
   * {@inheritdoc}
   */
  protected function getDeletedMessage($count) {
    return $this->formatPlural($count, 'Deleted @count closed question.', 'Deleted @count closed questions.');
  }

  /**
   * {@inheritdoc}
   */
  protected function getInaccessibleMessage($count) {
    return $this->formatPlural($count, '@count closed question has not been deleted because you do not have the necessary permissions.', "@count closed questions have not been deleted because you do not have the necessary permissions.");
  }

}
