<?php

namespace Drupal\closedquestion\Form;

use Drupal\Core\Entity\ContentEntityDeleteForm;

/**
 * Provides a form for deleting an entity.
 *
 * @internal
 */
class ClosedQuestionLogDeleteForm extends ContentEntityDeleteForm {

  /**
   * {@inheritdoc}
   */
  protected function getDeletionMessage() {
    return $this->t('The log %title has been deleted.', [
      '%title' => $this->getEntity()->label(),
    ]);
  }

  /**
   * {@inheritdoc}
   */
  protected function logDeletionMessage() {
    /** @var \Drupal\closedquestion\Entity\ClosedQuestionAnswerInterface $entity */
    $entity = $this->getEntity();
    $this->logger('closedquestion')->notice('The log %title has been deleted.', ['%title' => $entity->label()]);
  }

}
