<?php

namespace Drupal\closedquestion\Form;

use Drupal\Core\Entity\Form\DeleteMultipleForm as EntityDeleteMultipleForm;
use Drupal\Core\Url;

/**
 * Provides an entity deletion confirmation form.
 *
 * @internal
 */
class ClosedQuestionLogDeleteMultiple extends EntityDeleteMultipleForm {

  /**
   * {@inheritdoc}
   */
  public function getCancelUrl() {
    return new Url('entity.closedquestion_log.collection');
  }

  /**
   * {@inheritdoc}
   */
  protected function getDeletedMessage($count) {
    return $this->formatPlural($count, 'Deleted @count log.', 'Deleted @count logs.');
  }

  /**
   * {@inheritdoc}
   */
  protected function getInaccessibleMessage($count) {
    return $this->formatPlural($count, '@count log has not been deleted because you do not have the necessary permissions.', "@count logs have not been deleted because you do not have the necessary permissions.");
  }

}
