<?php

namespace Drupal\closedquestion\Question\Mapping;

/**
 * Class CqMappingOr.
 *
 * "OR" implementation for mappings. Returns TRUE if at least one of the
 * children return TRUE.
 *
 * @package Drupal\closedquestion\Question\Mapping
 */
class CqMappingOr extends CqAbstractMapping {

  /**
   * Implements CqAbstractMapping::evaluate()
   */
  public function evaluate() {
    foreach ($this->children as $id => $tempExpression) {
      if ($tempExpression->evaluate()) {
        return TRUE;
      }
    }
    return FALSE;
  }

  /**
   * Overrides CqAbstractMapping::getAllText()
   */
  public function getAllText() {
    $retval = array();
    $retval['logic']['#markup'] = 'OR';
    $retval += parent::getAllText();
    return $retval;
  }

}
