<?php

namespace Drupal\closedquestion\Entity;

use Drupal\Core\Entity\EntityTypeInterface;
use Drupal\Core\Entity\Routing\EntityRouteProviderInterface;
use Symfony\Component\Routing\Route;
use Symfony\Component\Routing\RouteCollection;

/**
 * Provides routes for entities.
 */
class ClosedQuestionRouteProvider implements EntityRouteProviderInterface {

  /**
   * {@inheritdoc}
   */
  public function getRoutes(EntityTypeInterface $entity_type) {
    $route_collection = new RouteCollection();
    $route = (new Route('/closedquestion/{closedquestion}'))
      ->addDefaults([
        '_controller' => '\Drupal\closedquestion\Controller\ClosedQuestionViewController::view',
        '_title_callback' => '\Drupal\closedquestion\Controller\ClosedQuestionViewController::title',
      ])
      ->setRequirement('closedquestion', '\d+')
      ->setRequirement('_entity_access', 'closedquestion.view');
    $route_collection->add('entity.closedquestion.canonical', $route);

    $route = (new Route('/admin/structure/closedquestion/{closedquestion}/delete'))
      ->addDefaults([
        '_entity_form' => 'closedquestion.delete',
        '_title' => 'Delete',
      ])
      ->setRequirement('closedquestion', '\d+')
      ->setRequirement('_entity_access', 'closedquestion.delete');
    $route_collection->add('entity.closedquestion.delete_form', $route);

    $route = (new Route('/admin/structure/closedquestion/{closedquestion}/edit'))
      ->setDefault('_entity_form', 'closedquestion.edit')
      ->setRequirement('_entity_access', 'closedquestion.update')
      ->setRequirement('closedquestion', '\d+');
    $route_collection->add('entity.closedquestion.edit_form', $route);

    return $route_collection;
  }

}
